Subject: Re: [Sip] I-D ACTION:draft-sparks-sip-noninvite-00.txt

From: Gonzalo Camarillo <[email-masked]>
Date: Fri, 07 Mar 2003 14:39:01 +0200

Robert, 

a couple of comments on the draft.

At the end of Section 5.1, you say that SUBSCRIBE "proofs that another
option exists". However, SUBSCRIBE/NOTIFY does not resolve the HERP
problem (e.g., one of the UASs wants to challenge the request and the
other does not).

In Section 6, you mention: 

"ACK is not needed for this pending non-INVITE because we have removed
   unreliable transports.  (ACK was originally needed for INVITE because
   reliability over UDP became the server's responsibility after its
   first response and the server needed to know when to stop
   retransmitting."

Reliability was not the only (original) purpose of ACK. If you receive a
request and respond immediately, you can assume that the client is still
there. However, if you receive a request, take a long time doing whaever
processing is needed, and then answer, you want to be sure that the
client is still there. The ACK confirms that the client has not died or
given up in the meantime. It may be good to document this in the draft.

Thanks,

Gonzalo

[email-masked] wrote:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
>         Title           : Considerations for the Session Initiation Protocol's
>                           non-INVITE Transaction
>         Author(s)       : R. Sparks
>         Filename        : draft-sparks-sip-noninvite-00.txt
>         Pages           : 14
>         Date            : 2003-2-10
> 
> This draft explores several issues with the Session Initiation
> Protocol's non-INVITE transaction.  It focuses on the use of
> provisional responses and on problems related to transaction
> timeouts.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-sparks-sip-noninvite-00.txt
> 
> To remove yourself from the IETF Announcement list, send a message to
> ietf-announce-request with the word unsubscribe in the body of the message.
> 
> Internet-Drafts are also available by anonymous FTP. Login with the username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
>         "get draft-sparks-sip-noninvite-00.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
>         [email-masked].
> In the body type:
>         "FILE /internet-drafts/draft-sparks-sip-noninvite-00.txt".
> 
> NOTE:   The mail server at ietf.org can return the document in
>         MIME-encoded form by using the "mpack" utility.  To use this
>         feature, insert the command "ENCODING mime" before the "FILE"
>         command.  To decode the response(s), you will need "munpack" or
>         a MIME-compliant mail reader.  Different MIME-compliant mail readers
>         exhibit different behavior, especially when dealing with
>         "multipart" MIME messages (i.e. documents which have been split
>         up into multiple messages), so check your local documentation on
>         how to manipulate these messages.
> 
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 
>   ------------------------------------------------------------------------

-- 
Gonzalo Camarillo         Phone :  +358  9 299 33 71
Oy L M Ericsson Ab        Mobile:  +358 40 702 35 35
Telecom R&D               Fax   :  +358  9 299 30 52
FIN-02420 Jorvas          Email :  [email-masked]
Finland                   http://www.hut.fi/~gonzalo
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip